OpenGL3.3 required but have 4.6?

#1

Issue:
Upon trying to run any game, I get the message “Your system may not support OpenGL 3.3 etc.”
I checked and my system is reporting it has OpenGL 4.6 so not sure what the problem is.

System Information

  • Operating System: Host: dev Kernel: 4.15.0-47-generic x86_64 bits: 64 gcc: 7.3.0
    Desktop: Cinnamon 3.6.7 (Gtk 3.22.30) dm: gdm3 Distro: Ubuntu 18.04.2 LTS
  • CPU: Quad core Intel Core i7-3770S (-MT-MCP-) arch: Ivy Bridge rev.9 cache: 8192 KB
  • GPU: Advanced Micro Devices [AMD/ATI] Hawaii PRO [Radeon R9 290/390]
    bus-ID: 01:00.0 chip-ID: 1002:67b1
    Display Server: x11 (X.Org 1.19.6 ) driver: amdgpu
    Resolution: [email protected], [email protected]
    OpenGL: renderer: AMD Radeon R9 200 Series version: 4.6.13542 18.50.1.418 Direct Render: Yes
  • Citra Version (found in title bar): Citra Nightly 1255
  • Game: Any
  • Screenshot of Issue (include the full Citra window including titlebar):

Diagnostic Log
I cannot obtain the log as the log file location will not open (neither will the Citra Folder.)
I can however provide the messages from terminal.

flatpak run org.citra.citra-nightly
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: radeonsi
mesa: for the -simplifycfg-sink-common option: may only occur zero or one times!
mesa: for the -global-isel-abort option: may only occur zero or one times!
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: radeonsi
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast

#2

In order for us to provide better support, we need to see the log generated by Citra. This guide will walk you through how you can obtain the log file: How to Upload the Log File.

#3

I can’t access that, clicking on the “Open Log Location” button does nothing.

#4

install mesa, search online on how to do it (it usually shows how to reverse the process on such tutorials).

#5

I don’t think that’s going to work for me. I need amdgpu-pro drivers for OpenCL applications like DaVinci Studio and Blender.